[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CheckLst' (#lcl)

# TCustomCheckListBox.Checked

Provides indexed access to the Boolean Checked or Unchecked state for Items in the control.

## Declaration

Source position: checklst.pas line 80

`public property TCustomCheckListBox.Checked[AIndex: Integer] : Boolean read GetChecked write SetChecked;`

## Description

Checked is an indexed Boolean property which provides access to the Checked or Unchecked state for Items in the control. The value for the property is True when State contains any value other than cbUnchecked. Setting the value for the property updates State to contain either cbChecked (when True) or cbUnchecked (when False).

## See also

TCustomCheckListBox.State |  | Provides indexed access to the TCheckBoxState for Items in the control.
TCheckBoxState